Build an itemId patcher for WikibaseLexeme
Closed, ResolvedPublic

Description

Currently we patch lexical category and language separately but both are ItemId and can be pacthed using one method instead. See https://gerrit.wikimedia.org/r/#/c/327868/3/src/DataModel/Services/Diff/LexemePatcher.php

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 19 2016, 12:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup renamed this task from Build a itemId patcher for WikibaseLexeme to Build an itemId patcher for WikibaseLexeme.Dec 20 2016, 10:10 AM

Change 328346 had a related patch set uploaded (by Ladsgroup):
Refactor LexemePatcher to use one method for patching ItemIds

https://gerrit.wikimedia.org/r/328346

Ladsgroup moved this task from Proposed to Review on the Wikidata-Sprint board.Dec 20 2016, 10:39 AM

Change 328374 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Rewrite ItemId patching in LexemePatcher

https://gerrit.wikimedia.org/r/328374

Change 328346 merged by jenkins-bot:
Refactor LexemePatcher to use one method for patching ItemIds

https://gerrit.wikimedia.org/r/328346

Change 328374 merged by jenkins-bot:
Rewrite ItemId patching in LexemePatcher

https://gerrit.wikimedia.org/r/328374

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Dec 21 2016, 9:17 AM
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Dec 22 2016, 11:43 PM
thiemowmde triaged this task as Normal priority.Jan 3 2017, 1:33 PM
thiemowmde closed this task as Resolved.